Installing Interpreters

Apache Zeppelin provides Interpreter Installation mechanism for whom downloaded Zeppelin netinst binary package, or just want to install another 3rd party interpreters.

Community managed interpreters

Apache Zeppelin provides several interpreters as community managed interpreters. If you downloaded netinst binary package, you need to install by using below commands.

Install all community managed interpreters

./bin/install-interpreter.sh --all

Install specific interpreters

./bin/install-interpreter.sh --name md,shell,jdbc,python

You can get full list of community managed interpreters by running

./bin/install-interpreter.sh --list

Install interpreter built with Scala 2.10

Zeppelin support both Scala 2.10 and 2.11 for several interpreters as below:

Name Maven Artifact for Scala 2.10 Maven Artifact for Scala 2.11
cassandra org.apache.zeppelin:zeppelin-cassandra_2.10:0.7.0 org.apache.zeppelin:zeppelin-cassandra_2.11:0.7.0
flink org.apache.zeppelin:zeppelin-flink_2.10:0.7.0 org.apache.zeppelin:zeppelin-flink_2.11:0.7.0
ignite org.apache.zeppelin:zeppelin-ignite_2.10:0.7.0 org.apache.zeppelin:zeppelin-ignite_2.11:0.7.0
scio org.apache.zeppelin:zeppelin-scio_2.10:0.7.0 org.apache.zeppelin:zeppelin-scio_2.11:0.7.0
spark org.apache.zeppelin:zeppelin-spark_2.10:0.7.0 org.apache.zeppelin:zeppelin-spark_2.11:0.7.0

If you install one of these interpreters only with --name option, installer will download interpreter built with Scala 2.11 by default. If you want to specify Scala version, you will need to add --artifact option. Here is the example of installing flink interpreter built with Scala 2.10.

./bin/install-interpreter.sh --name flink --artifact org.apache.zeppelin:zeppelin-flink_2.10:0.7.0

Install Spark interpreter built with Scala 2.10

Spark distribution package has been built with Scala 2.10 until 1.6.2. If you have SPARK_HOME set pointing to Spark version earlier than 2.0.0, you need to download Spark interpreter packaged with Scala 2.10. To do so, use follow command:

rm -rf ./interpreter/spark
./bin/install-interpreter.sh --name spark --artifact org.apache.zeppelin:zeppelin-spark_2.10:0.7.0


Once you have installed interpreters, you need to restart Zeppelin. And then create interpreter setting and bind it with your notebook.

3rd party interpreters

You can also install 3rd party interpreters located in the maven repository by using below commands.

Install 3rd party interpreters

./bin/install-interpreter.sh --name interpreter1 --artifact groupId1:artifact1:version1

The above command will download maven artifact groupId1:artifact1:version1 and all of its transitive dependencies into interpreter/interpreter1 directory.

After restart Zeppelin, then create interpreter setting and bind it with your note.

Install multiple 3rd party interpreters at once

./bin/install-interpreter.sh --name interpreter1,interpreter2 --artifact groupId1:artifact1:version1,groupId2:artifact2:version2

--name and --artifact arguments will recieve comma separated list.

Available community managed interpreters

You can also find the below community managed interpreter list in conf/interpreter-list file.

Name Maven Artifact Description
alluxio org.apache.zeppelin:zeppelin-alluxio:0.7.0 Alluxio interpreter
angular org.apache.zeppelin:zeppelin-angular:0.7.0 HTML and AngularJS view rendering
beam org.apache.zeppelin:zeppelin-beam:0.7.0 Beam interpreter
bigquery org.apache.zeppelin:zeppelin-bigquery:0.7.0 BigQuery interpreter
cassandra org.apache.zeppelin:zeppelin-cassandra_2.11:0.7.0 Cassandra interpreter built with Scala 2.11
elasticsearch org.apache.zeppelin:zeppelin-elasticsearch:0.7.0 Elasticsearch interpreter
file org.apache.zeppelin:zeppelin-file:0.7.0 HDFS file interpreter
flink org.apache.zeppelin:zeppelin-flink_2.11:0.7.0 Flink interpreter built with Scala 2.11
hbase org.apache.zeppelin:zeppelin-hbase:0.7.0 Hbase interpreter
ignite org.apache.zeppelin:zeppelin-ignite_2.11:0.7.0 Ignite interpreter built with Scala 2.11
jdbc org.apache.zeppelin:zeppelin-jdbc:0.7.0 Jdbc interpreter
kylin org.apache.zeppelin:zeppelin-kylin:0.7.0 Kylin interpreter
lens org.apache.zeppelin:zeppelin-lens:0.7.0 Lens interpreter
livy org.apache.zeppelin:zeppelin-livy:0.7.0 Livy interpreter
md org.apache.zeppelin:zeppelin-markdown:0.7.0 Markdown support
pig org.apache.zeppelin:zeppelin-pig:0.7.0 Pig interpreter
python org.apache.zeppelin:zeppelin-python:0.7.0 Python interpreter
scio org.apache.zeppelin:zeppelin-scio_2.11:0.7.0 Scio interpreter built with Scala 2.11
shell org.apache.zeppelin:zeppelin-shell:0.7.0 Shell command